#!/bin/sh
#
# Called when auth request is accepted by server
# Param 1:   login name
# Param 2:   RADIUS VSA vendor ID (or empty)
# Param 3:   1 (or empty)
# Param 4:   Command to execute (or empty)
# Param 5:   2 (or empty)
# Param 6-n: Parameters, blank separated (or empty)

# For Debugging set to 1
DEB=0

DT=`date +'%Y_%m_%d %H:%M.%S'`
TF=$0.log

# For Debugging
if [ $DEB = 1 ]
then
  echo "">>$TF
  echo $DT>>$TF
  echo User \'$1\' accepted by server>>$TF
  echo VSA vendor ID: \'$2\'>>$TF
  echo VSA type1: \'$3\'>>$TF
  echo VSA program: \'$4\'>>$TF
  echo VSA type2: \'$5\'>>$TF
  echo VSA param1: \'$6\'>>$TF
  echo VSA param2: \'$7\'>>$TF
  echo VSA param3: \'$8\'>>$TF
  echo VSA param4: \'$9\'>>$TF
fi

# For taStrongSudo (DOS Syntax...adapt for Linux...)
# if "$4"=="" goto end
# if "$2"=="25861" if "$3"=="1" call %0\..\taStrongSudo\taStrongSudo.cmd $1 $4

# For user-based commands, e.g. wake-on-lan the user's PC (DOS Syntax...adapt for Linux...)
# if exist userscripts\$1 call userscripts\$1.cmd
